<?php
class BitKassaApiWrapper {

    protected $merchantKey;
    protected $url;
    protected $host;

    public function __construct($merchantKey)
    {
        $this->merchantKey = $merchantKey;
        $this->host = 'https://www.bitkassa.nl/';
    }

    public function startPayment($options)
    {
        $response = json_decode(file_get_contents($this->host.'api/bitmerchant/json/btcpay/?euro='.$options['euro'].'&description='.urlencode($options['description']).'&return_url='.urlencode($options['return_url']).'&report_url='.urlencode($options['report_url']).'&merchant_key='.$this->merchantKey), true);
        return $response;
    }

    public function checkTransactionStatus($transaction_id)
    {
        $response = json_decode(file_get_contents($this->host.'api/bitmerchant/json/btcpay/check/?transaction_id='.$transaction_id.'&merchant_key='.$this->merchantKey), true);
        return $response;
    }
}